summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:46:01 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:46:01 -0400
commit52597eb572906ba52d5e1f95ff541d162236a7a3 (patch)
treec2bac112a347c8a354ff7eb4cea9662cd307b8da /network
parenta2993fc10d103a6628f8aa4bf59c7e40677b54c7 (diff)
downloadslackbuilds-52597eb572906ba52d5e1f95ff541d162236a7a3.tar.gz
slackbuilds-52597eb572906ba52d5e1f95ff541d162236a7a3.tar.xz
network/tinyproxy: Fixed for bash4.
Diffstat (limited to 'network')
-rw-r--r--network/tinyproxy/tinyproxy.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/network/tinyproxy/tinyproxy.SlackBuild b/network/tinyproxy/tinyproxy.SlackBuild
index a84bbef848..fb4404af79 100644
--- a/network/tinyproxy/tinyproxy.SlackBuild
+++ b/network/tinyproxy/tinyproxy.SlackBuild
@@ -61,12 +61,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;